Refresh Website Source Now
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
knowledge_base_id*Knowledge Base Id
Format
uuidsource_id*Source Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/knowledge-bases/497f6eca-6276-4993-bfeb-53cbbbba6f08/web-sources/497f6eca-6276-4993-bfeb-53cbbbba6f08/refresh"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "web_source_id": "5261719d-d683-4f22-b3e0-16d35beec156", "trigger": "string", "phase": "string", "map_complete": true, "discovered_urls": [ {} ], "excluded_discovered": [ {} ], "approved_urls": [ "string" ], "failed_urls": [ {} ], "pages_new": 0, "pages_changed": 0, "pages_unchanged": 0, "pages_removed": 0, "pages_failed": 0, "credits_used": 0, "error": "string", "started_at": "2019-08-24T14:15:22Z", "finished_at": "2019-08-24T14:15:22Z"}{ "detail": "string", "code": "string"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}